uniform float ramp;
uniform float strength;
uniform vec2 inverseTextureSize;

uniform sampler2D inputTexture;


// Offset is in pixels
vec3 sampleAtOffset(vec2 offset)
{
    vec2 coord = gl_TexCoord[0].xy + offset * BLURDIRECTION * inverseTextureSize;
    return max(vec3(0.0), texture2D(inputTexture, coord).rgb - vec3(ramp));
}


void main()
{
    vec3 result = vec3(0.0);

    BLURCODE

    gl_FragColor = vec4(result * strength, 1.0);
}
