/*
    Copyright 2009  Rivo Laks <rivolaks@hot.ee>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "renderinfo.h"


RenderInfo* RenderInfo::mInstance = 0;

RenderInfo::RenderInfo()
{
    startNextFrame();
}

void RenderInfo::startNextFrame()
{
    mBatches = 0;
    mFaces = 0;
    mMaterialChanges = 0;
    mLights = 0;
    mTextureChanges = 0;
    mBufferChanges = 0;
}

void RenderInfo::addBatch(int faces)
{
    mBatches++;
    mFaces += faces;
}
