/*
    kfile_genesis.h - Sega Genesis/Megadrive Rom image KFile Plugin

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

     *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef KFILE_GENESIS_H
#define KFILE_GENESIS_H

#include <kfilemetainfo.h>

class QStringList;

class KGenesisFilePlugin : public KFilePlugin
{
    Q_OBJECT
public:
	KGenesisFilePlugin( QObject *parent, const char *name, const QStringList& args );

	virtual bool readInfo( KFileMetaInfo& info, uint what);
};

#endif
