/*
    RomQueryBuilder test suite

    Copyright (c) 2005-2006 by Michaël Larouche <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef ROMQUERYBUILDER_TEST_H
#define ROMQUERYBUILDER_TEST_H

#include <kunittest/tester.h>

namespace Gamefu
{
	class RomQueryBuilder;
}

class RomQueryBuilder_Test : public KUnitTest::Tester
{
public:
	~RomQueryBuilder_Test();
	void allTests();

public slots:
	void testFilters();
	
private:
	Gamefu::RomQueryBuilder *queryBuilder;
};

#endif
