/*
    imagetypeenum.h - Enums used through the ImageFiller plugin

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef IMAGETYPEENUM_H
#define IMAGETYPEENUM_H

/**
 * @brief All enums releated to an image.
 */
struct ImageEnum
{
	/**
	 * @brief Context for a image.
	 */
	enum ImageType
	{
		/**
		 * The image is a titlescreen.
		 */
		Titlescreen,
		/**
		 * The image is a screenshot.
		 */
		Screenshot
	};
};

#endif
