/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "passturndialog.h"

passTurnDialog::passTurnDialog(QWidget *parent, int maxTiles) : QDialog(parent)
{
	setupUi(this);
	exchangeTilesNum->setMaximum(maxTiles);
}

passTurnDialog::PassTurnDialogAction passTurnDialog::action() const
{
	if (passTurn->isChecked()) return PassTurn;
	else return ExchangeTiles;
}

int passTurnDialog::exchangeTiles() const
{
	if (passTurn->isChecked()) return 0;
	else if (exchangeSome->isChecked()) return exchangeTilesNum->value();
	else return exchangeTilesNum->maximum();
}
