/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef REPLACEMENTSHANDLER_H
#define REPLACEMENTSHANDLER_H

#include <QMap>
#include <QStringList>

class replacementsHandler
{
	public:
		replacementsHandler();

		void addReplacement(const QString &letter, const QString &replaces);
		
		QStringList possibleWords(const QString &simpleWord);
	
	private:
		QMap<QString, QStringList> m_replacements;
};

#endif
