/*
 *  Koware - The ancient African game, also known as Mancala, for KDE
 *  Copyright (C) 2005  Michael Collins  <michaelcollins@ivorycity.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef ALPHABETA_H
#define ALPHABETA_H

#define INF 100000
#define MAXDEPTH     16
#define ENDGAMEDEPTH 20

#define spacing() for( int q=MAXDEPTH-depth;q>0;q--) printf("  ");

#define MAX 1
#define MIN 2

#define HEURISTIC_DFLT 0

typedef int (* heuristic_t)(struct game* g);

int  alphabeta(struct game* g, int heuristic, int depth );
void alphabeta_setheuristic(int id, heuristic_t h);
void alphabeta_init();

#endif
