#include "kbulletitem.h"

KBulletItem::KBulletItem(KTankItem * parent)
    :KGLSpriteItem("sprites/tank1/bullet.png")
{

setRect(QRectF(0,0,0.05,0.05));
setPosition(parent->transformCenter() - center());
setDirection(parent->turretDirection());
setAngle(parent->turretAngle());
setSpeed(0.001);

// bounceSnd=new KALSource("bounce.wav");
// launchSnd= new KALSource("rocket.wav");

// launchSnd->setGain(0.3);

// launchSnd->play();

}



KBulletItem::~KBulletItem()
{

// delete bounceSnd;
// delete launchSnd;

}

//===========================================================
void KBulletItem::collidingWith(KGLItemBase* item)
{
setColor(Qt::green);
// bounceSnd->play();

 QRectF itemRect = item->transformBoundingRect();
QPointF a = transformCenter()-(direction()*2);
QPointF b = transformCenter() ;





 QLineF lineH1(itemRect.x(), itemRect.y(), itemRect.x()+itemRect.width(), itemRect.y());
 QLineF lineH2(itemRect.x(), itemRect.y()+itemRect.height(), itemRect.x()+itemRect.width(), itemRect.y()+itemRect.height());


QLineF lineA(a,b);
QPointF *pi = new QPointF(0,0);
int intersectH1 = lineA.intersect(lineH1, pi);
int intersectH2 = lineA.intersect(lineH2, pi);


if  ((intersectH1 == 1) || (intersectH2 == 1))
{
setDirection(direction().x(), direction().y()*-1);
setAngle(M_PI-angle());
setColor(Qt::red);
move();
}




else
{
setColor(Qt::green);
 setDirection(direction().x()*-1, direction().y());
 setAngle((2*M_PI) - angle()); 
 move();
}



}