/***************************************************************************
 *   Copyright (C) 2003-2007 by Albert Astals Cid                          *
 *   tsdgeos@terra.es                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "generalconfig.h"

#include <kcombobox.h>
#include <klocale.h>

#include <qlabel.h>
#include <qlayout.h>

generalConfig::generalConfig() : QWidget()
{
	QGridLayout *layout = new QGridLayout(this);
	
	layout -> addWidget(new QLabel(i18n("Game Mode:"), this), 0, 0);
	KComboBox *combo1 = new KComboBox(this);
	combo1 -> setObjectName("kcfg_game_mode");
	combo1 -> addItem(i18n("Classic"));
	combo1 -> addItem(i18n("Partial"));
	combo1 -> addItem(i18n("Total"));
	layout -> addWidget(combo1, 0, 1);
	
	layout -> addWidget(new QLabel(i18n("Player 1:"), this), 1, 0);
	KComboBox *combo2 = new KComboBox(this);
	combo2 -> setObjectName("kcfg_player1");
	combo2 -> addItem(i18n("Human"));
	combo2 -> addItem(i18n("Computer"));
	layout -> addWidget(combo2, 1, 1);
	
	layout -> addWidget(new QLabel(i18n("Player 2:"), this), 2, 0);
	KComboBox *combo3 = new KComboBox(this);
	combo3 -> setObjectName("kcfg_player2");
	combo3 -> addItem(i18n("Human"));
	combo3 -> addItem(i18n("Computer"));
	layout -> addWidget(combo3, 2, 1);
}
