//Magazynier, a warehouse assistant game.
//Copyright (C) 2008, 2009 Tadeusz Andrzej Kadlubowski yess@hell.org.pl
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or
//(at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License along
//with this program; if not, write to the Free Software Foundation, Inc.,
//51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

#include <KAboutData>
#include <KApplication>
#include <KCmdLineArgs>

#include "window.h"

int main(int argc, char **argv)
{
	KAboutData aboutData("magazynier",
			0,
			ki18n("Magazynier"),
			"0.9 beta",
			ki18n("KDE warehouse assistant game"),
			KAboutData::License_GPL_V2,
			ki18n("(c) 2008, 2009, 2010 Tadeusz Andrzej Kadlubowski"),
			ki18n("Dedicated to my wife, who enjoys puzzle."),
			"");
	aboutData.addAuthor(ki18n("Tadeusz Andrzej Kadlubowski"), ki18n("Maintainer"), "yess@hell.org.pl");
	KCmdLineArgs::init(argc, argv, &aboutData);
	KApplication magazynierApp;

	MagazynierWindow *magazynierWindow = new MagazynierWindow();
	magazynierWindow->show();

	return magazynierApp.exec();
}
