#version 110

uniform sampler2D sceneTexture;
uniform float exposure;

void main()
{
    vec3 color = texture2D(sceneTexture, gl_TexCoord[0].xy).rgb;

    gl_FragColor = vec4(vec3(1.0) - exp(-exposure * color), 1.0);
}
