/*
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA  02110-1301, USA.

    ---
    Copyright (C) 2011, Dmitry Chernov diman4ik.chernov@gmail.com
 */

#ifndef _BackgammonLocal_h_
#define _BackgammonLocal_h_


#include "backgammongame.h"


class BackgammonLocal : public BackgammonGame
{
public:
    BackgammonLocal( QObject* parent = 0 );
    ~BackgammonLocal();
    
    void processUIEvent(QGraphicsSceneMouseEvent* event, BackgammonScene* board);
    
    virtual void startNewGame();

private:
    IPlayer& getCurrentPlayer();
    void switchToNextPlayer();
    
    qint8 m_currentPlayer;
};

#endif
