/***************************************************************************
 *   Copyright (C) 2005 by Piotr Banasiak <piotrbanasiak@onet.pl>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to                             *
 *   the Free Software Foundation, 51 Franklin Street, Fifth Floor,        *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/
#include "engineinfowidget.h"
#include "engineinfo.h"

EngineInfoWidget::EngineInfoWidget(QWidget *parent): QWidget(parent)
{
  ui.setupUi(this);
}


EngineInfoWidget::~EngineInfoWidget()
{
}




/*!
    \fn EngineInfoWidget::onEngineInfoChanged( const EngineInfo * )
 */
void EngineInfoWidget::onEngineInfoChanged( const EngineInfo *pEI )
{
    /// @todo implement me
    if(!pEI) return;
    
    ui.lblMaxDepth->setText( QString("%1").arg(pEI->maxDepth) );
    ui.lblDepth->setText(  QString("%1").arg(pEI->Depth) );
    ui.lblNodesPerSecond->setText( QString("%1").arg(pEI->nodesPerSecond()) );
    ui.lblScore->setText( QString("%1").arg(pEI->score) );
    ui.lblElapsed->setText( QString("%1").arg(pEI->elapsed) );
   
}

#include "engineinfowidget.moc"
