/*
    gamefuconfigplugins.h - Plugins configuration

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFUCONFIGPLUGINS_H
#define GAMEFUCONFIGPLUGINS_H

#include <kcmodule.h>

/**
 * @brief Configure generic plugins
 *
 * @author Michaël Larouche <larouche@kde.org>
 */
class GamefuConfigPlugins : public KCModule
{
	Q_OBJECT
public:
	GamefuConfigPlugins(QWidget* parent, const char* name, const QStringList& args);
	~GamefuConfigPlugins();

public slots:
	virtual void save();
	virtual void load();

private:
	class Private;
	Private *d;
};
#endif
