#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <qtimer.h>

#include "testgamefuthumbnail.h"

#include "gamefuthumbnail.h"

Test::Test(QObject *parent)
 : QObject(parent, 0)
{}

void Test::run()
{
	QImage image;
	GamefuThumbCreator *thumb = new GamefuThumbCreator();
	thumb->create( QString("/home/shock/Emulation/mmz2.gba"), 32, 32, image );

	QApplication::exit(0);
}

int main(int argc, char **argv)
{
	KAboutData about("testgamefuthumbnail", "testgamefuthumbnail", "0.0", "none",
		     KAboutData::License_GPL, "(C) 2006 Michaël Larouche", 0, "http://gamefu.pwsp.net/");

	KCmdLineArgs::init(argc, argv, &about);

	KApplication app(argc, argv);

	Test *test = new Test(0);
	QTimer::singleShot(100, test, SLOT(run()));

	return app.exec();
}

#include "testgamefuthumbnail.moc"
