/*
    defaultrommetadata.h - Default RomMetaData, extract meta infromation from ROM KFilePlugin.

    Copyright (c) 2005      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFUDEFAULTROMMETADATA_H
#define GAMEFUDEFAULTROMMETADATA_H

#include <rommetadata.h>

namespace Gamefu {

/**
 * Default RomMetaData, extract meta infromation from ROM KFilePlugin.
 *
 * @author Michaël Larouche <larouche@kde.org>
*/
class DefaultRomMetaData : public RomMetaData
{
public:
    DefaultRomMetaData();
	virtual ~DefaultRomMetaData();

    virtual RomMetaInformation extractMetaInformation(KFileItem *item);
	virtual RomMetaInformation extractMetaInformation(QIODevice*);
};

}

#endif
