/***************************************************************************
 *   Copyright 2009 Stefan Majewsky <majewsky@gmx.net>
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 ***************************************************************************/

#ifndef KOLF_BLENDER_STACKER_H
#define KOLF_BLENDER_STACKER_H

#include <QGraphicsView>

namespace Kolf
{
	class BsTextureBar;

	class BlenderStacker : public QGraphicsView
	{
		public:
			BlenderStacker();
			virtual ~BlenderStacker();
		protected:
			virtual void resizeEvent(QResizeEvent* event);
		private:
			QGraphicsScene* m_scene;
			Kolf::BsTextureBar* m_textureBar;
	};
}

#endif // KOLF_BLENDER_STACKER_H
