#include <stdio.h>
#include <KApplication>
#include <KAboutData>
#include <KGlobal>
#include <KSharedConfig>
#include <KComponentData>
#include <KCmdLineArgs>
#include <KConfig>
#include <KDebug>
#include "developer.h"

static const char description[] =
    I18N_NOOP("A Game IDE");

static const char version[] = "0.1";

int main(int argc, char *argv[])
{
    KAboutData about("Kollagame", 0, ki18n("kolladev"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2007 Keith Neuse"), KLocalizedString(), 0, "KNeuse@GMail.com");
    KCmdLineArgs::init( argc, argv, &about );

    KApplication app;

    /*KConfig config;
    KConfigGroup generalGroup(&config, "General");
    QString programName = generalGroup.readEntry("programName",QString());

    kDebug() << programName << endl;*/

    DEVELOPER *developer = new DEVELOPER();
    developer->showMaximized();
    developer->show();
    //delete developer;
    return app.exec();
}
