#ifndef _KOLLAGAME_H_
#define _KOLLAGAME_H_

#include <KXmlGuiWindow>
#include <KLocale>
#include <KMainWindow>
#include <QWidget>
#include <KFileDialog>
#include <KConfig>
#include <QResizeEvent>
#include <QApplication>
#include <KStandardDirs>
#include <KStandardAction>
#include <KActionCollection>
#include <KAction>
#include <KUrl>

#include "KGGraphicsEngine.h"
#include "KGContainer.h"

class Kollagame: public KXmlGuiWindow 
{
Q_OBJECT
protected:
    KGGraphicsEngine *graphicsEngine;
    KGContainer container;
//protected Events:
    void resizeEvent(QResizeEvent *);
public:
    Kollagame(QWidget *parent = 0);
    virtual ~Kollagame(); 
protected slots:
    void openLevel(void);
};

#endif
