/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "kombination.h"

int main(int argc, char *argv[])
{
	KAboutData about("kombination", 0, ki18n("Kombination"), "0.1", ki18n("A Scrabble clone"), KAboutData::License_GPL, ki18n("© 2005 Albert Astals Cid"));
	about.addAuthor(ki18n("Albert Astals Cid"), KLocalizedString(), "aacid@kde.org");
	about.addAuthor(ki18n("Pino Toscano"), KLocalizedString(), "toscano.pino@tiscali.it");
	about.addAuthor(ki18n("Michał Ściubidło"), KLocalizedString(), "michal.sciubidlo@gmail.com");
	KCmdLineArgs::init(argc, argv, &about);
	KApplication app;

	if (app.isSessionRestored())
    		RESTORE(Kombination)
    	else 
	{
        	Kombination *w = new Kombination;
		w->show();
	}
	return app.exec();
}
