#ifndef KTANKENGINE_H
#define KTANKENGINE_H

#include <QMouseEvent>
#include <KGLEngine2d>
#include <KALEngine>
#include <KActionCollection>
#include <QList>
#include "ktankitem.h"
#include "kbulletitem.h"


class KTankEngine : public KGLEngine2d
{
Q_OBJECT
public:
KTankEngine(QWidget * parent=0);
void mainLoop();
void mouseMoveEvent ( QMouseEvent * event ) ;  
void mousePressEvent ( QMouseEvent * event ) ;  
void loadMap();
private:
KTankItem * m_playerTank;
KGLRectItem * rect;
QPointF  m_mouse;
KActionCollection* m_collection;

KGLItemGroup * m_listBullet;
KGLItemGroup * m_listWall;



};
#endif