/* -*- coding: utf-8 -*- */

#ifndef KT_ITEMPROPERTIESTOOL_H
#define KT_ITEMPROPERTIESTOOL_H


#include <QWidget>
#include <QPainter>
#include <QPointF>
#include <QPixmap>
#include <QGraphicsPixmapItem>
#include <QKeyEvent>
#include <QSize>
#include <QMap>
#include <QString>
#include <QDebug>
#include <QStyleOption>
#include <QTreeWidget>
#include <QDirModel>
#include <QLabel>
#include <QVBoxLayout>


#include <ktreewidgetsearchline.h>
#include <kicon.h>
#include <kstandarddirs.h>
#include <kfiletreeview.h>

#include "ktconstants.h"


class KTItemSelector : public QWidget
{
Q_OBJECT
public:
    KTItemSelector(QWidget * parent = 0);

    void setupItemTree();
    KFileTreeView * getTree() {return treeView;}


public slots:
    void setThumbs();
    void setMode(int mode);


private:
    KFileTreeView * treeView;
    QVBoxLayout * layout;
    QString currentItem;
    QLabel  * thumbLabel;
    QPixmap * thumbPix;

};


#endif

