#ifndef KT_MAPFILE_H
#define KT_MAPFILE_H


#include <QObject>
#include <QDomDocument>
#include <QDomElement>

#include <KFileDialog>
#include <KAction>
#include <KXmlGuiWindow>
#include <kstandarddirs.h>
#include <KAction>
#include <KLocale>
#include <KActionCollection>
#include <KFileItem>
#include <QFile>
#include "ktmapscene.h"

class KTMapFile : public QObject
{

public:
    KTMapFile(QObject * parent=0);
    bool createFile(KUrl url, KTMapScene * scene);
    bool openFile(KUrl url, KTMapScene *scene);
    void readDoc(KTMapScene *scene);
    bool closeFile();
    bool addBlock(KTBlockItem * b);




private:
    QFile        * file;
    QDomDocument   doc;
    QDomElement    ktankmap;
    QTextStream    out;


};
#endif


