/***************************************************************************
 *   Copyright (C) 2003-2007 by Albert Astals Cid                          *
 *   tsdgeos@terra.es                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "shapesconfig.h"

#include <kcombobox.h>
#include <klocale.h>

#include <qlabel.h>
#include <qlayout.h>

shapesConfig::shapesConfig() : QWidget()
{
	QGridLayout *layout = new QGridLayout(this);
	layout -> addWidget(new QLabel(i18n("Player 1's shape is:"), this), 0, 0);
	KComboBox *combo1 = new KComboBox(this);
	combo1 -> setObjectName("kcfg_player1_shape");
	combo1 -> addItem(i18n("Circle"));
	combo1 -> addItem(i18n("Cross"));
	layout -> addWidget(combo1, 0, 1);
	layout -> addWidget(new QLabel(i18n("Player 2's shape is:"), this), 1, 0);
	KComboBox *combo2 = new KComboBox(this);
	combo2 -> setObjectName("kcfg_player2_shape");
	combo2 -> addItem(i18n("Circle"));
	combo2 -> addItem(i18n("Cross"));
	layout -> addWidget(combo2, 1, 1);
}
