#ifndef CONNECTTOGAMEDIALOG_H
#define CONNECTTOGAMEDIALOG_H

#include "ui_connecttogamedialog.h"
#include <QtGui/QDialog>

namespace Ui {
    class ConnectToGameDialog;
}

class ConnectToGameDialog : public QDialog {
    Q_OBJECT
public:
    ConnectToGameDialog(QWidget *parent = 0);
    ~ConnectToGameDialog();
    void addGame(QString gamename);
    QString getGame();
public Q_SLOTS:
    void selectedGameChanged(const QString &text);
    void enableJoin();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ConnectToGameDialog *m_ui;
};

#endif // CONNECTTOGAMEDIALOG_H
